Subject: Re: bug#21203: 24.5; about-emacs makes emacs freeze on windows 8.1

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Aug 2015 09:42:37 +0300

> Date: Thu, 6 Aug 2015 19:41:53 -0400
> From: Pablo Mercader Alcántara <[email-masked]>
> 
> When I call the "about-emacs" command (either through M-x or the menu)
> emacs freezes, it stops accepting commands, it doesn't close and doesn't
> redraw the content of its window. The only to stop it is using the "end
> task" option in window's task manager.
> 
> This problem does not happen if I run emacs on text mode with the "-nw"
> option.
> 
> This problem doesn't happen on emacs 24.3.1 text or windows mode.
> 
> I have the "inhibit-startup-screen" variable set to "t" in my .emacs
> file, from previous uses in previous versions, but if I take it out
> emacs freezes at start.

I cannot reproduce this with the same Emacs binary and on the same
Windows 8.1.

I suspect some of your image support libraries are buggy or corrupted
or incompatible with this build of Emacs.  The startup screen shows an
image, so if something is wrong with image support, you will see such
a problem.

What image support libraries do you have installed, and where did you
get them?